vde2 (2.3.2+r586-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Vendor the very last usage of /usr/share/cdbs/1/rules/autoreconf.mk
    (Closes: #1125492)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 12:24:24 +0100

vde2 (2.3.2+r586-12) unstable; urgency=medium

  * fix ftbfs gcc-15 Closes: #1098058

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 26 Sep 2025 19:11:51 +0200

vde2 (2.3.2+r586-11) unstable; urgency=medium

  * Team upload
  * wirefilter: fix ftbfs bug (implicit type in function arg).  Closes: #1075616

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 27 Jul 2024 16:05:23 +0200

vde2 (2.3.2+r586-10) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hard code dependencies on shared libraries.

  [ Michael Hudson-Doyle ]
  * Undefine _FILE_OFFSET_BITS and _TIME_BITS in libvdetap.c so the library's
    interposition of open/open64 still works.  Closes: #1065951

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package libpcap-dev
      with replacement libpcap0.8-dev.
    + libvde-dev: Drop Replaces on removed package vde2 (<< 2.3.2-1).
    + libvde-dev: Drop Breaks on removed package vde2 (<< 2.3.2-1).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Apr 2024 06:36:38 +0200

vde2 (2.3.2+r586-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007644)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 15:44:40 +0000

vde2 (2.3.2+r586-9) unstable; urgency=medium

  * Team upload.
  * Add link to upstream sources in d/copyright.  Closes: #1051059

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Sep 2023 10:47:43 +0200

vde2 (2.3.2+r586-8) unstable; urgency=medium

  * do not generate vdeplug, libvdeplug* packages (Closes: #1000798)
    vdeplug4 provides new versions of these packages

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 04 Dec 2021 16:21:27 +0100

vde2 (2.3.2+r586-7) unstable; urgency=medium

  * d/control: Fix Breaks and Replaces again (Closes: #971972)

 -- Andrea Capriotti <capriott@debian.org>  Thu, 15 Oct 2020 22:08:26 +0200

vde2 (2.3.2+r586-6) unstable; urgency=medium

  * d/control: Fix missing Breaks and Replaces (Closes: #971972)
  * d/control: Suggest qemu-system instead of qemu (Closes: #966255)
  * d/control: Fix short description (Closes: #972002)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 13 Oct 2020 14:09:22 +0200

vde2 (2.3.2+r586-5) unstable; urgency=medium

  * d/copyright: Fix missing copyright attributions (Closes: #962492)

 -- Andrea Capriotti <capriott@debian.org>  Fri, 17 Jul 2020 19:16:24 +0200

vde2 (2.3.2+r586-4) unstable; urgency=medium

  * Bump debhelper's compat level to 10.  (Closes: #965872)
  * Bump Standards-Version to 4.4.1.
  * Add Andrea Capriotti as Uploader.
  * Add Vcs-Git and Vcs-Browser.

 -- Andrea Capriotti <capriott@debian.org>  Sun, 29 Dec 2019 15:57:07 +0100

vde2 (2.3.2+r586-3) unstable; urgency=medium

  * Split binary packages for vdeplug4 migration.
    vdeplug4 is going to provide a new codebase for vde_plug and dpipe,
    a complete rewrite of vde_switch and wirefilter is ongoing.
    The new tools are backwards compatible with vde2.
    A splitting of the binary packages is needed so that the tools
    can be upgraded one by one.  Packages with the same name, higher
    version, will override those provided by vde2. In the new codebase
    each tool is provided by a different upstream repository.
    More info on the new vde architecture: https://frama.link/-ckvuxxq

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 23 Nov 2019 10:50:59 +0100

vde2 (2.3.2+r586-2.2) unstable; urgency=medium

  * Maintainers' mailing list address updated (Closes: 899726)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 15:44:02 +0100

vde2 (2.3.2+r586-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1, patch by Sebastian Andrzej Siewior (Closes:
    #836419).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Dec 2016 20:23:13 +0500

vde2 (2.3.2+r586-2) unstable; urgency=medium

  * Really fix FTBFS on hurd-any (previous patch applied to configure, but
    since 2.3.2+r586-1 we also started running autoreconf during build).
    Thanks again Gabriele! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 02 Nov 2014 14:26:07 +0100

vde2 (2.3.2+r586-1) unstable; urgency=medium

  * No new upstream version, packaging latest SVN revision.
  * Accept all NMU patches. Thank you Hector!
  * Fix segfault due to race condition in hash.c. Thank you Bas van Sisseren
    <bas@quarantainenet.nl> for the patch! (Closes: #764476) 
  * Fix vdeterm not correctly restoring terminal when exiting on error. Thank
    you Serge Hallyn <serge.hallyn@ubuntu.com> for the patch!
    (Closes: #682759)
  * Fix FTBFS on hurd-any. Thanks Gabriele Giacone <1o5g4r8o@gmail.com> for
    the patch! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 12 Oct 2014 23:32:56 +0200

vde2 (2.3.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd, regression due to autoreconf run.

 -- Hector Oron <zumbi@debian.org>  Thu, 18 Sep 2014 15:50:13 +0000

vde2 (2.3.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on new arches:
    - d/control: depend on dh-autoreconf
    - d/rules: add autoreconf cdbs rule.
    (Closes: #735390)

 -- Hector Oron <zumbi@debian.org>  Wed, 17 Sep 2014 17:55:25 +0000

vde2 (2.3.2-4) unstable; urgency=high

  * Add missing Depends on libvde0 in package libvde-dev

 -- Ludovico Gardenghi <garden@debian.org>  Sat, 04 Feb 2012 15:56:58 +0100

vde2 (2.3.2-3) unstable; urgency=high

  * Add Provides: libvdeplug2-dev to libvdeplug-dev entry, to help smoother
    transitions to testing (Closes: #658082)

 -- Ludovico Gardenghi <garden@debian.org>  Tue, 31 Jan 2012 11:49:52 +0100

vde2 (2.3.2-2) unstable; urgency=low

  * Add patch debian/patches/compile_with_kfreebsd.patch: allow compilation
    with kFreeBSD (as for FreeBSD, this removes almost all TUN/TAP support)
    - Move TUN/TAP specific files out of *.install files and install them with
      dh_install calls in debain/rules
  * Put all the copyright files in a single debian/copyright (as suggested by
    Jonathan Nieder <jrnieder@gmail.com>)
    - Remove the corresponding lintian override

 -- Ludovico Gardenghi <garden@debian.org>  Fri, 20 Jan 2012 19:17:30 +0100

vde2 (2.3.2-1) unstable; urgency=low

  * New upstream version
  * Remove Piotr Roszatycki <dexter@debian.org> from Uploaders
    (Closes: #636745)
  * Suggest qemu-kvm instead of dummy transitional package kvm
    (Closes: #646627)
  * Add major version in dlopen in libvdeplug_dyn.h to avoid binary dependency
    on -dev package (for additional explanations see the header file itself)
    Patch file: debian/patches/libvdeplug_dyn_versioned_dlopen.patch
  * Add patch for fixing missing format string in fprintf() and syslog()
    calls. Patch file: debian/patches/printf_add_format_string.patch
  * Add patch for fixing "wrong" SONAME for libraries. -version-number had
    been used instead of version-info, this gave incorrect SONAMEs and broke
    compatibility between this version and the previous ones (althought there
    is no actual ABI incompatibility).
    Patch file: debian/patches/fix_soname_version_info.patch
    - reset libvdeplug name to libvdeplug2 (w.r.t 2.3.1-1) (Closes: #610933)
  * Move /usr/lib/libvdetap.a to -dev package
  * Update Standards-Version to 3.9.2: nothing to do
  * Switch to CDBS and quilt
  * Remove useless .dirs files

 -- Ludovico Gardenghi <garden@debian.org>  Thu, 19 Jan 2012 11:35:11 +0100

vde2 (2.3.1-1) experimental; urgency=low

  * New upstream version
    - bump libvdeplug soname
    - ship updated version of slirp (Closes: #460734, #572261)
  * Remove debian/patches/dont_use_installpath, use ./configure --sysconfdir
    and --localstate dir instead
  * Drop soname from libvdeplug3-dev, easier for package build-depending on
    the library
  * Fix "Timing issue in /etc/network/if-pre-up.d/vde2" by calling vde_tunctl
    in ifupdown hooks (Closes: #568363)
  * Update standards-version to 3.9.1: stop shipping .la files

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 05 Sep 2010 16:20:43 +0100

vde2 (2.2.3-3) unstable; urgency=low

  * Add "vde2." prefix to configuration files for vde2 package.
  * Move "usr/etc" in "etc" after make install as a workaround for bad usage
    of INSTALLPATH.
  * Install config files for vdecmd and libvdemgmt.
  * Install pkg-config files.
  * Install vde_tunctl (Closes: #545266).

 -- Luca Bigliardi <shammash@artha.org>  Sun, 06 Sep 2009 16:18:26 +0100

vde2 (2.2.3-2) unstable; urgency=low

  * Change Ludovico Gardenghi's e-mail address.
  * Add missing Conflicts/Replaces for libvde0 vs libvdemgmt0 (and -dev).

 -- Ludovico Gardenghi <garden@debian.org>  Mon, 31 Aug 2009 12:02:03 +0200

vde2 (2.2.3-1) unstable; urgency=low

  [ Luca Bigliardi ]
  * Change Luca Bigliardi's e-mail address.

  [ Filippo Giunchedi ]
  * New upstream version, remove patches merged upstream:
    - remove_numports_limit.patch
    - fix_loop_noarg.patch
    - fix_output_cosmetic.patch
    - plugin_fixes.patch
    - dbgout_prototype_change.patch
    - allow_mgmtgroup.patch
    - vde_kvdeswitchfix.patch
  * Rename libvdemgmt in libvde and ship mgmt, snmp and hist there
  * Remove transitional vde package
  * Update to S-V 3.8.3, no changes needed
  * Point copyright files to GPL-2

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 30 Aug 2009 22:06:53 +0100

vde2 (2.2.2-3) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * Fix wrong postinst check for /sbin/MAKEDEV. (Closes: #502708)

  [ Filippo Giunchedi ]
  * Add debian/patches/dont_use_installpath.patch to ignore INSTALLPATH for
    now (Closes: #502442)
  * Install doc/vdecmd in examples

 -- Ludovico Gardenghi <garden@acheronte.it>  Wed, 22 Oct 2008 00:23:48 +0200

vde2 (2.2.2-2) unstable; urgency=low

  * Add DM-Upload-Allowed field
  * Add Luca Bigliardi as Uploader/DM
  * Backport fixes from upstream 2.2.3 into debian/patches:
    - allow_mgmtgroup.patch:
        add options for group permission on sockets (Closes: #487434)
        fix a segfault in handle_input with commandline scripts
    - dbgout_prototype_change.patch:
        change debug function prototype to include port number
    - fix_loop_noarg.patch:
        fix an infinite loop in vdeq when provided wrong arguments
    - fix_output_cosmetic.patch:
        fix usage output in wirefilter
    - plugin_fixes.patch:
        various fixes in pdump and dump plugins
    - remove_numports_limit.patch:
        remove the 255 ports limit in vde_plug and vde_plug2tap
        fix a segfault while resizing the switch
    - vde_kvdeswitchfix.patch:
        fixes for kvde_switch

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 01 Oct 2008 14:00:40 +0200

vde2 (2.2.2-1) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Remove vde_tunctl manpage and install all manpages instead

  [ Ludovico Gardenghi ]
  * New upstream release

 -- Ludovico Gardenghi <garden@acheronte.it>  Tue, 08 Jul 2008 16:43:49 +0200

vde2 (2.2.1-1) unstable; urgency=low

  * New upstream release
    - fix vlan commands on amd64 (Closes: #484295)
    - fix mac addresses switch between ports (Closes: #469098)
  * Suggest: qemu and kvm as requested in #461514
  * Expand and spell-check README.Debian, add manual method example
    (Closes: #466363)
  * Do not assume MAKEDEV presence in postinst
  * Remove /usr/bin/daemon usage from ifupdown scripts (and Recommends)
  * Add manpage for vde_tunctl
  * Upgrade to S-V 3.8.0 (add Homepage field)

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 17 Jun 2008 15:36:32 +0200

vde2 (2.2.0-pre2-1) unstable; urgency=low

  * New upstream version
  * Add libvdemgmt packages

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 31 Jan 2008 00:39:44 +0100

vde2 (2.1.6+r154-1) unstable; urgency=low

  * snapshot release from svn to bring some new upstream features and debian
    improvements

  [ Ludovico Gardenghi ]
  * Fixed a typo in /etc/network/if-pre-up.d/vde2 script (thanks to Scott
    Shedden) (Closes: #411400)

  [ Filippo Giunchedi ]
  * do not check on interface's name being tap*, ignore interface if there are
    no actual vde2-* parameters, thanks Raphael (Closes: #418065)
  * fix README.Debian mispelled vde-net group (Closes: #419513)
  * document ifupdown "manual" method usage in README.Debian and fix
    if-pre-up.d/vde2

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 04 May 2007 19:32:22 +0200

vde2 (2.1.6-1) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * New upstream release
    - Piotr's Debian patches merged in upstream
    - Fixed typos in wirefilter man page (Closes: #403324)
    - Added function prototypes in vde_cryptcab (Closes: #403292)
  * Imported Piotr's work:
    - Added a vde transitional package to facilitate upgrades
    - Improved descriptions
    - Added network/if-post-down.d network/if-pre-up.d scripts

  [ Guido Trotter ]
  * Added Piotr as an uploader
  * Add debhelper tokens to post{inst,rm}

 -- Guido Trotter <ultrotter@debian.org>  Wed, 20 Dec 2006 13:04:58 +0000

vde2 (2.1.4-1) unstable; urgency=low

  * Initial release

 -- Guido Trotter <ultrotter@debian.org>  Tue,  5 Dec 2006 10:57:11 +0200

